xine-lib: asf_stream_extension_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
asf_stream_extension_s Struct Reference

`#include <asfheader.h>`

## Data Fields
uint64_t | start_time
uint64_t | end_time
uint32_t | data_bitrate
uint32_t | buffer_size
uint32_t | initial_buffer_fullness
uint32_t | alternate_data_bitrate
uint32_t | alternate_buffer_size
uint32_t | alternate_initial_buffer_fullness
uint32_t | max_object_size
uint8_t | reliable_flag
uint8_t | seekable_flag
uint8_t | no_cleanpoints_flag
uint8_t | resend_live_cleanpoints_flag
uint16_t | language_id
uint64_t | average_time_per_frame
uint16_t | stream_name_count
uint16_t | payload_extension_system_count
char ** | stream_names

## Field Documentation

## ◆ alternate_buffer_size

uint32_t asf_stream_extension_s::alternate_buffer_size

Referenced by asf_header_parse_stream_extended_properties().

## ◆ alternate_data_bitrate

uint32_t asf_stream_extension_s::alternate_data_bitrate

Referenced by asf_header_parse_stream_extended_properties().

## ◆ alternate_initial_buffer_fullness

uint32_t asf_stream_extension_s::alternate_initial_buffer_fullness

Referenced by asf_header_parse_stream_extended_properties().

## ◆ average_time_per_frame

uint64_t asf_stream_extension_s::average_time_per_frame

Referenced by asf_header_parse_stream_extended_properties().

## ◆ buffer_size

uint32_t asf_stream_extension_s::buffer_size

Referenced by asf_header_parse_stream_extended_properties().

## ◆ data_bitrate

uint32_t asf_stream_extension_s::data_bitrate

Referenced by asf_header_parse_stream_extended_properties().

## ◆ end_time

uint64_t asf_stream_extension_s::end_time

Referenced by asf_header_parse_stream_extended_properties().

## ◆ initial_buffer_fullness

uint32_t asf_stream_extension_s::initial_buffer_fullness

Referenced by asf_header_parse_stream_extended_properties().

## ◆ language_id

uint16_t asf_stream_extension_s::language_id

Referenced by asf_header_parse_stream_extended_properties().

## ◆ max_object_size

uint32_t asf_stream_extension_s::max_object_size

Referenced by asf_header_parse_stream_extended_properties().

## ◆ no_cleanpoints_flag

uint8_t asf_stream_extension_s::no_cleanpoints_flag

Referenced by asf_header_parse_stream_extended_properties().

## ◆ payload_extension_system_count

uint16_t asf_stream_extension_s::payload_extension_system_count

Referenced by asf_header_parse_stream_extended_properties().

## ◆ reliable_flag

uint8_t asf_stream_extension_s::reliable_flag

Referenced by asf_header_parse_stream_extended_properties().

## ◆ resend_live_cleanpoints_flag

uint8_t asf_stream_extension_s::resend_live_cleanpoints_flag

Referenced by asf_header_parse_stream_extended_properties().

## ◆ seekable_flag

uint8_t asf_stream_extension_s::seekable_flag

Referenced by asf_header_parse_stream_extended_properties().

## ◆ start_time

uint64_t asf_stream_extension_s::start_time

Referenced by asf_header_parse_stream_extended_properties().

## ◆ stream_name_count

uint16_t asf_stream_extension_s::stream_name_count

Referenced by asf_header_delete_stream_extended_properties(), and asf_header_parse_stream_extended_properties().

## ◆ stream_names

char** asf_stream_extension_s::stream_names

Referenced by asf_header_delete_stream_extended_properties(), and asf_header_parse_stream_extended_properties().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/asfheader.h